
// AM2315 - I2C
#include <Wire.h>
#include <Adafruit_AM2315.h>

// Connect RED of the AM2315 sensor to 5.0V
// Connect BLACK to Ground

// Connect WHITE to i2c clock - on '168/'328 Arduino Uno/Duemilanove/etc thats Analog 5
// Connect YELLOW to i2c data - on '168/'328 Arduino Uno/Duemilanove/etc thats Analog 4

Adafruit_AM2315 am2315;

// SHT10 - SPI

#include <SHT1x.h>

// Specify data and clock connections and instantiate SHT1x object
#define shallow 5
#define deep 6
#define clockPin 7

SHT1x sht10_shallow(shallow, clockPin);
SHT1x sht10_deep(deep, clockPin);


void setup() {
  Serial.begin(9600);
  Serial.println("AM2315 Test!");

  if (! am2315.begin()) {
     Serial.println("Sensor not found, check wiring & pullups!");
     while (1);
  }
}

void loop() {
  Serial.println("");
  Serial.print("Air Hum: "); Serial.println(am2315.readHumidity());
  delay(2500); // 1 read every 2 seconds
  Serial.print("Air Temp: "); Serial.println(am2315.readTemperature());
  delay(1000);

  float temp_c;
  float temp_f;
  float humidity;

  // Read values from the sensor
  temp_c = sht10_shallow.readTemperatureC();
  temp_f = sht10_shallow.readTemperatureF();
  humidity = sht10_shallow.readHumidity();
  Serial.println("");


  // Print the values to the serial port
  Serial.print("Shallow Temperature: ");
  Serial.print(temp_c, DEC);
  Serial.print("C / ");
  Serial.print(temp_f, DEC);
  Serial.print("F. Shallow Humidity: ");
  Serial.print(humidity);
  Serial.println("%");

  Serial.println("");

    // Read values from the sensor
  temp_c = sht10_deep.readTemperatureC();
  temp_f = sht10_deep.readTemperatureF();
  humidity = sht10_deep.readHumidity();

  // Print the values to the serial port
  Serial.print("Deep Temperature: ");
  Serial.print(temp_c, DEC);
  Serial.print("C / ");
  Serial.print(temp_f, DEC);
  Serial.print("F. Deep Humidity: ");
  Serial.print(humidity);
  Serial.println("%");

  delay(1000);
  


  
}
